package com.ym.mec.biz.dal.page;

import com.ym.mec.biz.dal.enums.GroupType;
import com.ym.mec.common.page.QueryInfo;
import io.swagger.annotations.ApiModelProperty;

import java.util.Date;

/**
 * @Author Joburgess
 * @Date 2019/9/18
 */
public class CourseHomeworkQueryInfo extends QueryInfo {

    @ApiModelProperty(value = "作业发布时间",required = false)
    private java.util.Date createTime;

    @ApiModelProperty(value = "乐团ID",required = false)
    private Long musicGroupId;

    @ApiModelProperty(value = "课程组类型", required = false)
    private GroupType groupType;

    @ApiModelProperty(value = "班级ID",required = false)
    private Long classGroupId;

    @ApiModelProperty(value = "课程编号")
    private Long courseScheduleId;

    @ApiModelProperty(value = "用户ID",required = false)
    private Long userId;

    private Integer isReplied;

    private Date classDate;

    public Date getClassDate() {
        return classDate;
    }

    public void setClassDate(Date classDate) {
        this.classDate = classDate;
    }

    public GroupType getGroupType() {
        return groupType;
    }

    public void setGroupType(GroupType groupType) {
        this.groupType = groupType;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public Long getMusicGroupId() {
        return musicGroupId;
    }

    public void setMusicGroupId(Long musicGroupId) {
        this.musicGroupId = musicGroupId;
    }

    public Long getClassGroupId() {
        return classGroupId;
    }

    public void setClassGroupId(Long classGroupId) {
        this.classGroupId = classGroupId;
    }

    public Long getCourseScheduleId() {
        return courseScheduleId;
    }

    public void setCourseScheduleId(Long courseScheduleId) {
        this.courseScheduleId = courseScheduleId;
    }

    public Integer getIsReplied() {
        return isReplied;
    }

    public void setIsReplied(Integer isReplied) {
        this.isReplied = isReplied;
    }

    public Long getUserId() {
        return userId;
    }

    public void setUserId(Long userId) {
        this.userId = userId;
    }
}
